//-------------------------------------------------------------------
// ECLPS.SetText()
//
// Update various positions on the screen.
//-------------------------------------------------------------------
import java.util.Properties;
import com.ibm.eNetwork.ECL.*;

public class Sample65 implements ECLAppletInterface
{

   /*********************************************************************
   * Constructor
   */
   public Sample65()
   {
   }


   /*********************************************************************
   * Method called by Host On-Demand when the applet is initialized.
   * This method is defined as part of the ECLAppletInterface
   */
   public void init(ECLSession s)
   {

      ECLPS ps;              // PS object

      ps = s.GetPS();

      try {

        ps.SetText("Send a bunch of text to the current cursor location xxxxxxxxxxxxxxxxxxxxxx111111" +
                   "222xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx222222" +
                   "333xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx333333");

        ps.SetText("Send a bunch of text to position 500 on the screen  xxxxxxxxxxxxxxxxxxxxxxxxxxxx" +
                   "44444444444444444444444444444444444444444444444444444444444444444444444444444444", 500);
     
        ps.SetText("Send a bunch of text to position 19, 80 on the screen  xxxxxxxxxxxxxxxxxxxxxxxxx" +
                   "66666666666666666666666666666666666666666666666666666666666666666666666666666666", 19, 80);

        // These parallel methods automatically handle DBCS character duplication before placing 
        // them into the text plane.
        //ps.SetString("Send a bunch of text to the current cursor location xxxxxxxxxxxxxxxxxxxxxx111111" +
        //             "222xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx222222" +
        //             "333xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx333333");
        //ps.SetString("Send a bunch of text to position 500 on the screen  xxxxxxxxxxxxxxxxxxxxxxxxxxxx" +
        //             "44444444444444444444444444444444444444444444444444444444444444444444444444444444", 500);
        //ps.SetString("Send a bunch of text to position 19, 80 on the screen  xxxxxxxxxxxxxxxxxxxxxxxxx" +
        //             "66666666666666666666666666666666666666666666666666666666666666666666666666666666", 19, 80);

      }
      catch (ECLErr e) { System.out.println("Sample65(): " + e.GetMsgText()); }

   } // end sample

}
